<?php
/*
Plugin Name: Skydrive Slideshow Plugin
Description: Show photos of one public folder of skydrive in a slideshow.
Version: 1.0
Author: Manticus
Author URI: http://interrail2012.manticus.info/
Plugin URI: http://files.manticus.info/wordpress/plugin/skydrive-slideshow/
*/
 
define('NME_SDSS_PLUGIN_URL', WP_PLUGIN_URL . '/' . dirname(plugin_basename(__FILE__)));
define('NME_SDSS_PLUGIN_DIR', WP_PLUGIN_DIR . '/' . dirname(plugin_basename(__FILE__)));

global $script_include;
$script_include = false;

add_shortcode('skydrive-slideshow', 'getSlideshow');

function getSlideshow($atts)
{
    global $script_include;
    extract(shortcode_atts( array(
            'url'=>'123',
            'width'=>'100'
            ), $atts));
    $url = html_entity_decode($url);
    $url = (str_replace('/embed?', '/?', $url));
    if(!$url)
    {
        return 'parameter url not found';
    }                
            
    $random = rand(1, 9999);
    //<script src="http://ajax.googleapis.com/ajax/libs/jquery/1.7.1/jquery.min.js" type="text/javascript" ></script>
    $html = '                                                   
    <div id="l_'.$random.'">
        <center><img src="'.NME_SDSS_PLUGIN_URL.'/images/loading_anime.gif" alt="Loading ..." title="Loading ..." /></center>
    </div>';
     
    $script = '<script type="text/javascript">
        var called_'.$random.' = false;
        jQuery(document).ready(function() {  

$(window).scroll(function(){
        if  ($(window).scrollTop() >= $("#l_'.$random.'").position().top - $(window).height() && called_'.$random.' == false){
           called_'.$random.' = true;
            $.ajax({
                type: "POST",
                url:"'.NME_SDSS_PLUGIN_URL.'/",
                data: { url:"'.$url.'", id:"'.$random.'"},
                success: function(data) {
                        $("#l_'.$random.'").html(data);
                    }
             });
        }
});
        });    
    </script>';
    return $html.$script;      
}    
